import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.border.*;

public class BrainTeaserGame extends JPanel implements ActionListener
{
    JLabel picture;
    JTextField guess;
    JLabel output, score;
    JButton nextCard, done;
    Card current = new Card ();
    Deck cardDeck = new Deck ();
    int right = 0;
    int total = 0;

    public BrainTeaserGame ()
    {
     
	JLabel title = new JLabel ("Animal Guessing Game");
	title.setFont (new Font ("Arial", Font.PLAIN, 30));
	picture = new JLabel (createImageIcon ("blank.png"));
	JLabel pmt = new JLabel ("Guess:");
	pmt.setFont (new Font ("Arial", Font.PLAIN, 20));
	guess = new JTextField (8);
	guess.setFont (new Font ("Arial", Font.PLAIN, 20));
	done = new JButton ("Guess");
	done.setFont (new Font ("Arial", Font.PLAIN, 20));
	done.addActionListener (this);
	done.setActionCommand ("guess");
	done.setEnabled (false);

	output = new JLabel ("First, press new card to begin.");
	output.setFont (new Font ("Arial", Font.PLAIN, 20));
	score = new JLabel ("You have 000 out of 000 correct.");
	score.setFont (new Font ("Arial", Font.PLAIN, 20));

	JButton shuffle = new JButton ("Shuffle");
	shuffle.addActionListener (this);
	shuffle.setActionCommand ("shuffle");
	shuffle.setFont (new Font ("Arial", Font.PLAIN, 20));
	nextCard = new JButton ("Next Card");
	nextCard.addActionListener (this);
	nextCard.setActionCommand ("nextCard");
	nextCard.setFont (new Font ("Arial", Font.PLAIN, 20));
	JButton getHint = new JButton ("Get Hint");
	getHint.addActionListener (this);
	getHint.setActionCommand ("getHint");
	getHint.setFont (new Font ("Arial", Font.PLAIN, 20));

	add (title);
	add (picture);
	add (output);
	Panel guessLine = new Panel ();
	guessLine.add (pmt);
	guessLine.add (guess);
	guessLine.add (done);
	add (guessLine);

	add (score);
	Panel buttonLine = new Panel ();

	buttonLine.add (nextCard);
	buttonLine.add (getHint);
	buttonLine.add (shuffle);
	add (buttonLine);

	//set up the Card Deck so it is ready to begin
	cardDeck.shuffle ();
    }


    public void actionPerformed (ActionEvent e)
    {
	if (e.getActionCommand ().equals ("nextCard"))
	{

	    if (!cardDeck.isEmpty ())
	    {
		current = cardDeck.pop ();
		picture.setIcon (createImageIcon (current.getPic ()));

	    }

	}
	else if (e.getActionCommand ().equals ("getHint"))
	{

	}
	else if (e.getActionCommand ().equals ("guess"))
	{
	}
	else if (e.getActionCommand ().equals ("shuffle"))
	{

	}

    }


    protected static ImageIcon createImageIcon (String path)
    {
	java.net.URL imgURL = BrainTeaserGame.class.getResource (path);
	if (imgURL != null)
	    return new ImageIcon (imgURL);
	else
	    return null;
    }


    public static void main (String[] args)
    {
	JFrame.setDefaultLookAndFeelDecorated (true);
	//Create and set up the window.
	JFrame frame = new JFrame ("Brain Teaser Game");
	frame.setDefaultCloseOperation (JFrame.EXIT_ON_CLOSE);
	//Create and set up the content pane.
	JComponent newContentPane = new BrainTeaserGame ();
	newContentPane.setOpaque (true);
	frame.setContentPane (newContentPane);
	frame.setSize (350, 500);
	frame.setVisible (true);
       
    }
}
